Update von MySQL 3.23.57 auf 4.0.18 Fragen

MySQL, PostgreSQL, SQLite
Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

Update von MySQL 3.23.57 auf 4.0.18 Fragen

Post by Outlaw » 2004-03-15 22:27

Hallo Leute,

ich habe mich jetzt mal drangesetzt und das Update von der 3er Version auf die 4er Version zu machen und zwar auf die gute alte SuSE RPM Art:

Alte 3er Version per Yast deinstalliert, neue 4er Version per RPM eingespielt.

Dazu habe ich 2 Fragen (das Ganze läuft übrigens bis jetzt ohne Probleme):

1. Daß mir phpinfo als Client 3.23.58 anzeigt, liegt das daran, daß php neu kompiliert oder upgedated werden muss (is auch RPM Paket) oder liegt es daran, daß ich MySQL-shared-compat mit installiert habe, was ja die 3er Version "beinhalten" oder "kompatibelieren" soll ??

2. Brauche ich überhaupt MySQL-shared-compat ??

Ich frage auch deshalb, weil ich nie eine Version 3.23.58 installiert hatte und diese nun als Client angezeigt wird ....

Gruß Outi

kase
Posts: 1031
Joined: 2002-10-14 22:56

Re: Update von MySQL 3.23.57 auf 4.0.18 Fragen

Post by kase » 2004-03-15 23:55

Es ist extrem wichtig, dass du auch die Header Files von mySQL 3 entfernst. Sind diese nicht mehr vorhanden, vielleicht ein reinstall von dem php4 Paket ?!?!

Outlaw
Posts: 1500
Joined: 2002-12-04 10:22
Location: 4. Server von rechts, 2. Reihe von oben

Re: Update von MySQL 3.23.57 auf 4.0.18 Fragen

Post by Outlaw » 2004-03-16 18:54

Ich habe das PHP 4.3.1 Paket nochmal installiert (RPM), es wird im phpinfo immer noch MySQL 3.23.58 angezeigt (als Client), obwohl ich diese Version niemals installiert hatte, vorher war die 57er drauf.

Wie sieht es generell aus ??

Kann ich MySQL-shared-compat parallel mit MySQL-shared laufen lassen oder sollte ich NUR eines von beiden betreiben und wenn ja, welche und warum ??

Gruß Outi